<?php

/**
 * JCH Optimize - Aggregate and minify external resources for optmized downloads
 * 
 * @author Samuel Marshall <sdmarshall73@gmail.com>
 * @copyright Copyright (c) 2010 Samuel Marshall
 * @license GNU/GPLv3, See LICENSE file
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

class CodeAlfa_JchOptimize_Block_Form_Auto_Utilitysettings extends CodeAlfa_JchOptimize_Block_Form_Auto_Abstract
{
        protected $_idString = '';
        protected $_moduleName = '';
    
        protected function getButtons()
        {
                $aButton = array();
                
                                
                $aButton[0]['link']   = Mage::helper('adminhtml')->getUrl('adminhtml/cachecleaner',
                                                                          array(
                        'module'     => 'jchoptimize',
                        'moduleName' => 'CodeAlfa_JchOptimize'
                        )
                );
                $aButton[0]['icon']   = 'fa-times-circle';
                $aButton[0]['color']  = '#C0110A';
                $aButton[0]['text']   = Mage::helper('jchoptimize')->__('Delete module cache');
                $aButton[0]['script'] = '';
                $aButton[0]['class']  = 'enabled';

                
                $aButton[1]['link']   = Mage::helper('adminhtml')->getUrl('adminhtml/filepermissions',
                                                                          array(
                        'module'     => 'jchoptimize',
                        'moduleName' => 'CodeAlfa_JchOptimize'
                        )
                );
                $aButton[1]['icon']   = 'fa-file-text';
                $aButton[1]['color']  = '#166BEC';
                $aButton[1]['text']   = Mage::helper('jchoptimize')->__('Fix file permissions');
                $aButton[1]['script'] = '';
                $aButton[1]['class']  = 'enabled';
                

                return $aButton;
        }

}
